## Interface IBroadcastEventReceiver

Description

IBroadcastEventReceiver interface

If a control wants to check broadcast event, it must implement this interface.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 2012)

Method Summary
void broadcastEventReceived (TControl $sender, TBroadCastEventParameter $param)
Methods
broadcastEventReceived (line 2023)

Handles broadcast event.

This method is invoked automatically when an event is broadcasted. Within this method, you may check the event name given in the event parameter to determine whether you should respond to this event.

- access: public

void broadcastEventReceived (TControl $sender, TBroadCastEventParameter $param)

- TControl $sender: sender of the event
- TBroadCastEventParameter $param: event parameter

Documentation generated on Mon, 21 Apr 2008 11:34:05 -0400 by phpDocumentor 1.3.0RC4